Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jgMain
Class JgDebug

    java.lang.Object
      java.lang.Throwable
          jgMain.JgDebug

All Implemented Interfaces:
  java.io.Serializable

public class JgDebug
extends java.lang.Throwable

This description left intentionally blank

See Also:
  Serialized Form

Field Summary
`protected int` | `intr` The level of depth in the current debugging object

Constructor Summary
`JgDebug()`

Method Summary
`void` | `crash(java.lang.String reason)` Crashes the program for the following reason:
`java.lang.String` | `getCurrentLocation()` Gets the current location in the source
`java.lang.String` | `getCurrentMethod()` Gets the current method in the source
`void` | `notify(java.lang.String msg)` Prints a debuging message.
`void` | `notifyMethodEntered()` Prints a notification that a method has been entered.
`void` | `notifyMethodExit()` Prints a notification that a method has been exited.
`void` | `printCurrentMethod()` Prints the current location in the source.
`void` | `println(java.lang.String msg)` A simple wrapper around System.out.println(""); This is here to conveniently locate debugging messages in the source.
`void` | `printStackTrace(int lim)` Prints a stack trace up to a certain limit.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### intr

    protected int intr

  The level of depth in the current debugging object

Constructor Detail

### JgDebug

    public JgDebug()

Method Detail

### notify

    public void notify(java.lang.String msg)

  Prints a debuging message. Follows up with the current location in the source.

  Parameters:
    `msg` - The string to print

### printCurrentMethod

    public void printCurrentMethod()

  Prints the current location in the source.

### getCurrentMethod

    public java.lang.String getCurrentMethod()

  Gets the current method in the source

### getCurrentLocation

    public java.lang.String getCurrentLocation()

  Gets the current location in the source

### notifyMethodEntered

    public void notifyMethodEntered()

  Prints a notification that a method has been entered. This is a convenience wrapper for print("entered");

### notifyMethodExit

    public void notifyMethodExit()

  Prints a notification that a method has been exited. This is a convenience wrapper for print("exited");

### println

    public void println(java.lang.String msg)

  A simple wrapper around System.out.println(""); This is here to conveniently locate debugging messages in the source.

### crash

    public void crash(java.lang.String reason)

  Crashes the program for the following reason:

  Parameters:
    `reason` - the reason that we crashed

### printStackTrace

    public void printStackTrace(int lim)

  Prints a stack trace up to a certain limit.

  Parameters:
    `lim` - the limit to print the stack trace to

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD